Bug 1471071 - polymake-3.1-5.fc27 FTBFS on aarch64: bundled extension singular ... failed
polymake-3.1-5.fc27 FTBFS on aarch64: bundled extension singular ... failed
Product: Fedora
Classification: Fedora
Component: polymake (Show other bugs)
aarch64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2017-07-14 06:45 EDT by Petr Pisar
Modified: 2017-08-04 03:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-08-04 03:16:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2017-07-14 06:45:18 EDT
polymake-3.1-5.fc27 usually fails to build on aarch64:

+ export Arch=aarch64
+ Arch=aarch64
+ ./configure --build=aarch64 --prefix=/usr --libdir=/usr/lib64 --without-native --with-singular=/usr --with-lrs-include=/usr/include/lrslib/ --with-lrs-lib=/usr/lib64 --with-cdd-include=/usr/include/cddlib/ --with-cdd-lib=/usr/lib64 --without-java --libexecdir=/usr/lib64/polymake --without-javaview
bundled extension singular ... failed
The bundled extension singular was explicitly requested but failed to configure.
Please recheck your argument (--with-singular=/usr) and build.aarch64/bundled.log.
You can also disable it by specifying --without-singular instead.
error: Bad exit status from /var/tmp/rpm-tmp.Vd4FBO (%build)

Koschei reports random aarch64 failure since 2017-06-26.
Comment 1 Jerry James 2017-07-29 19:09:22 EDT
Hmmm, I'm not sure what is going on here.  My latest attempt to build for Rawhide succeeded on all arches, including aarch64.  I will need to see the configure log on a failed attempt to figure out what is happening.
Comment 2 Petr Pisar 2017-08-04 03:16:54 EDT
It looks like a glitch in toolchain or some dependency because there is no failure since 2017-07-19 22:29:44 (glibc updated to 2.25.90-27, binutils to 2.28-12).

Note You need to log in before you can comment on or make changes to this bug.